%define name ksociograma
%define version 2.0.1
%define release %mkrel 3

Summary: Technical application for teachers
Name: %name
Version: %version
Release: %release
License: GPL
Group: Education
Url: http://ksociograma.software-libre.org/
Source: %name-%{version}.tar.bz2
BuildRoot: %_tmppath/%name-%version
BuildRequires: kdelibs-devel

%description
KSociograma is a tecnical software for teachers. It allows you 
to make sociograms, a 2-D network sociological diagram, for a 
group of students. It is very useful to know the group and prevention. 
This version is a stable version, but only with traslations to english 
and spanish. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%{version}

%build

%configure \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

make

%install

%makeinstall

%find_lang %name

# Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=education_other_section
Categories=X-MandrivaLinux-MoreApplications-Education-Other;
Name=Ksociograma
Comment=Technical application for teachers
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_datadir/applnk/Edutainment/*
%dir %_datadir/apps/ksociograma
%_datadir/apps/ksociograma/*.rc
%dir %_datadir/apps/ksociograma/pics
%_datadir/apps/ksociograma/pics/*
%dir %_docdir/HTML/en/ksociograma
%_docdir/HTML/en/ksociograma/*
%dir %_docdir/HTML/es/ksociograma
%_docdir/HTML/es/ksociograma/*
%_iconsdir/*/*
%{_datadir}/applications/mandriva-*.desktop



%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-3mdv2008.1
+ Revision: 141878
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import ksociograma

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 2.0.1-3mdk
- fix x86_64 build

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.1-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Sep 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Thu Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Thu Jun 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-0.20040527pre.1mdk
- new
